%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-create-class
Version:    1.0.1
Release:    2%{?dist}
Summary:    A simple approach to create classes
License:    MIT 
URL:        https://github.com/grncdr/js-create-class
Source:     https://github.com/grncdr/js-create-class/archive/v%{version}.tar.gz

BuildArch:  noarch
BuildRequires: nodejs-packaging
BuildRequires: nodejs-inherits


%description
A simple approach to create classes and it supports mixins, static methods

%prep
%setup -q -n js-create-class-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-create-class
cp -p apply-mixin.js index.js package.json %{buildroot}%{nodejs_sitelib}/nodejs-create-class

%check
%if 0%{?enable_tests}
node test.js
%endif

%files
%doc README.md LICENSE test.js
%{nodejs_sitelib}/nodejs-create-class


%changelog
* Thu Feb 26 2015 Anish Patil <apatil@redhat.com> - 1.0.1-2
- Incorporated package review comments

* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 1.0.1-1
- Initial package
